export type VoucherNft = {
    "version": "0.1.0";
    "name": "voucher_nft";
    "instructions": [
        {
            "name": "initialize";
            "accounts": [
                {
                    "name": "config";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "authority";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "relendCollection";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "authorityTokenAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "metadataAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "masterEdition";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "admin";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "tokenMetadataProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "tokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "associatedTokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "rent";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "params";
                    "type": {
                        "defined": "MetadataParams";
                    };
                }
            ];
        },
        {
            "name": "addVault";
            "accounts": [
                {
                    "name": "config";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "vault";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "admin";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "seed";
                    "type": "string";
                },
                {
                    "name": "operator";
                    "type": "publicKey";
                }
            ];
        },
        {
            "name": "mintVoucher";
            "accounts": [
                {
                    "name": "config";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "vault";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "authority";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "operator";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "mint";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "vaultTokenAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "metadataAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "masterEdition";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collectionMint";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collectionMetadataAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "collectionMasterEdition";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "tokenMetadataProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "tokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "associatedTokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "rent";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "params";
                    "type": {
                        "defined": "MetadataParams";
                    };
                }
            ];
        },
        {
            "name": "addVoucherRepayDebtInformation";
            "accounts": [
                {
                    "name": "vault";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "operator";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "mint";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "metadataAccount";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "masterEdition";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "repayDebtVoucher";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "tokenMetadataProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [
                {
                    "name": "params";
                    "type": {
                        "defined": "AddRepayDebtVoucherParams";
                    };
                }
            ];
        },
        {
            "name": "sendVoucher";
            "accounts": [
                {
                    "name": "vault";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "operator";
                    "isMut": true;
                    "isSigner": true;
                },
                {
                    "name": "user";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "mint";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "masterEdition";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "vaultTokenAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "userTokenAccount";
                    "isMut": true;
                    "isSigner": false;
                },
                {
                    "name": "associatedTokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "tokenProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "systemProgram";
                    "isMut": false;
                    "isSigner": false;
                },
                {
                    "name": "rent";
                    "isMut": false;
                    "isSigner": false;
                }
            ];
            "args": [];
        }
    ];
    "accounts": [
        {
            "name": "authority";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "bump";
                        "type": "u8";
                    }
                ];
            };
        },
        {
            "name": "config";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "admin";
                        "type": "publicKey";
                    },
                    {
                        "name": "collection";
                        "type": "publicKey";
                    },
                    {
                        "name": "reserve";
                        "type": {
                            "array": [
                                "u128",
                                6
                            ];
                        };
                    }
                ];
            };
        },
        {
            "name": "vault";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "admin";
                        "type": "publicKey";
                    },
                    {
                        "name": "operator";
                        "type": "publicKey";
                    },
                    {
                        "name": "bump";
                        "type": "u8";
                    },
                    {
                        "name": "seed";
                        "type": "string";
                    },
                    {
                        "name": "reserve";
                        "type": {
                            "array": [
                                "u128",
                                6
                            ];
                        };
                    }
                ];
            };
        },
        {
            "name": "repayDebtVoucher";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "discountPercentage";
                        "type": "u16";
                    },
                    {
                        "name": "maximumAmount";
                        "type": "u32";
                    },
                    {
                        "name": "startTime";
                        "type": "i64";
                    },
                    {
                        "name": "endTime";
                        "type": "i64";
                    },
                    {
                        "name": "nftMint";
                        "type": "publicKey";
                    },
                    {
                        "name": "authority";
                        "type": "publicKey";
                    },
                    {
                        "name": "reserve";
                        "type": {
                            "array": [
                                "u128",
                                6
                            ];
                        };
                    },
                    {
                        "name": "eligibleTokens";
                        "type": {
                            "vec": "publicKey";
                        };
                    }
                ];
            };
        }
    ];
    "types": [
        {
            "name": "AddRepayDebtVoucherParams";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "discountPercentage";
                        "type": "u16";
                    },
                    {
                        "name": "maximumAmount";
                        "type": "u32";
                    },
                    {
                        "name": "startTime";
                        "type": "i64";
                    },
                    {
                        "name": "endTime";
                        "type": "i64";
                    },
                    {
                        "name": "eligibleTokens";
                        "type": {
                            "vec": "publicKey";
                        };
                    }
                ];
            };
        },
        {
            "name": "MetadataParams";
            "type": {
                "kind": "struct";
                "fields": [
                    {
                        "name": "name";
                        "type": "string";
                    },
                    {
                        "name": "symbol";
                        "type": "string";
                    },
                    {
                        "name": "uri";
                        "type": "string";
                    }
                ];
            };
        },
        {
            "name": "VoucherNftError";
            "type": {
                "kind": "enum";
                "variants": [
                    {
                        "name": "OnlyAdmin";
                    },
                    {
                        "name": "OnlyOperator";
                    },
                    {
                        "name": "InvalidAccountArgument";
                    },
                    {
                        "name": "AccountIsNotInitialized";
                    },
                    {
                        "name": "AuthorityIsNotSigned";
                    },
                    {
                        "name": "VaultIsNotSigned";
                    },
                    {
                        "name": "InvalidDiscountPercentage";
                    },
                    {
                        "name": "InvalidMaximumAmount";
                    },
                    {
                        "name": "StartTimeAfterEndTime";
                    },
                    {
                        "name": "StartTimeBeforeCurrentTime";
                    },
                    {
                        "name": "InvalidNftMint";
                    }
                ];
            };
        }
    ];
};
export declare const IDL: VoucherNft;
