"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addVaultIx = addVaultIx;
exports.mintVoucherIx = mintVoucherIx;
exports.addRepayDebtVoucherIx = addRepayDebtVoucherIx;
exports.sendVoucherToUserIx = sendVoucherToUserIx;
exports.modifyComputeUnitIx = modifyComputeUnitIx;
const web3_js_1 = require("@solana/web3.js");
function addVaultIx(program, params) {
    return program.methods
        .addVault(params.seed, params.operator)
        .accounts({
        config: params.config,
        vault: params.vault,
        admin: params.admin,
    })
        .instruction();
}
async function mintVoucherIx(program, params) {
    return program.methods
        .mintVoucher({ name: params.params.name, symbol: params.params.symbol, uri: params.params.uri })
        .accounts({
        config: params.config,
        vault: params.vault,
        operator: params.operator,
        authority: params.authority,
        vaultTokenAccount: params.vaultTokenAccount,
        metadataAccount: params.metadataAccount,
        masterEdition: params.masterEdition,
        mint: params.mint.publicKey,
        collectionMint: params.collection,
        collectionMetadataAccount: params.collectionMetadata,
        collectionMasterEdition: params.collectionMasterEdition,
        tokenMetadataProgram: params.tokenMetadataProgram,
    })
        .instruction();
}
async function addRepayDebtVoucherIx(program, params) {
    return program.methods
        .addVoucherRepayDebtInformation({
        startTime: params.params.startTime,
        endTime: params.params.endTime,
        discountPercentage: params.params.discountPercentage,
        maximumAmount: params.params.maximumAmount,
        eligibleTokens: params.params.eligibleTokens,
    })
        .accounts({
        vault: params.vault,
        operator: params.operator,
        mint: params.mint.publicKey,
        metadataAccount: params.metadataAccount,
        masterEdition: params.masterEdition,
        repayDebtVoucher: params.repayDebtVoucher,
        tokenMetadataProgram: params.tokenMetadataProgram,
    })
        .instruction();
}
async function sendVoucherToUserIx(program, params) {
    return program.methods
        .sendVoucher()
        .accounts({
        vault: params.vault,
        operator: params.operator,
        user: params.user,
        mint: params.mint,
        masterEdition: params.masterEdition,
        vaultTokenAccount: params.vaultTokenAccount,
        userTokenAccount: params.userTokenAccount,
    })
        .instruction();
}
function modifyComputeUnitIx(units) {
    return web3_js_1.ComputeBudgetProgram.setComputeUnitLimit({
        units: units || 1000000,
    });
}
