import * as anchor from '@project-serum/anchor';
import { PublicKey } from '@solana/web3.js';
export interface PDAInfo {
    key: anchor.web3.PublicKey;
    bump: number | null;
}
export declare class PDA {
    readonly programId: anchor.web3.PublicKey;
    readonly tokenMetadataProgram: anchor.web3.PublicKey;
    constructor(programId?: anchor.web3.PublicKey);
    config: () => PDAInfo;
    authority: () => PDAInfo;
    vault: (seed: string) => PDAInfo;
    repayDebtVoucher: (mint: PublicKey) => PDAInfo;
    metadata: (mint: anchor.web3.PublicKey) => Promise<PDAInfo>;
    masterEdition: (mint: anchor.web3.PublicKey) => Promise<PDAInfo>;
}
