"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PDA = void 0;
const anchor = __importStar(require("@project-serum/anchor"));
const mpl_token_metadata_1 = require("@renec-foundation/mpl-token-metadata");
const constants_1 = require("./constants.js");
class PDA {
    programId;
    tokenMetadataProgram = new anchor.web3.PublicKey('metaXfaoQatFJP9xiuYRsKkHYgS5NqqcfxFbLGS5LdN');
    constructor(programId) {
        this.programId = programId || constants_1.Constants.VOUCHER_NFT_PROGRAM_ID_TESTNET;
    }
    config = () => {
        const [pda, bump] = anchor.web3.PublicKey.findProgramAddressSync([Buffer.from(constants_1.Constants.CONFIG_SEED)], this.programId);
        return {
            key: pda,
            bump: bump,
        };
    };
    authority = () => {
        const [pda, bump] = anchor.web3.PublicKey.findProgramAddressSync([Buffer.from(constants_1.Constants.AUTHORITY_SEED)], this.programId);
        return {
            key: pda,
            bump: bump,
        };
    };
    vault = (seed) => {
        const [pda, bump] = anchor.web3.PublicKey.findProgramAddressSync([Buffer.from(constants_1.Constants.VAULT_SEED), Buffer.from(seed)], this.programId);
        return {
            key: pda,
            bump,
        };
    };
    repayDebtVoucher = (mint) => {
        const [pda, bump] = anchor.web3.PublicKey.findProgramAddressSync([Buffer.from(constants_1.Constants.REPAY_DEBT_VOUCHER_SEED), mint.toBuffer()], this.programId);
        return {
            key: pda,
            bump,
        };
    };
    metadata = async (mint) => {
        const key = await mpl_token_metadata_1.Metadata.getPDA(mint);
        return {
            key,
            bump: null,
        };
    };
    masterEdition = async (mint) => {
        const key = await mpl_token_metadata_1.MasterEdition.getPDA(mint);
        return {
            key,
            bump: null,
        };
    };
}
exports.PDA = PDA;
