import * as anchor from '@project-serum/anchor';
import { BN } from '@project-serum/anchor';
import { VoucherNft } from './artifacts/voucher_nft';
import VoucherNftIDL from './artifacts/voucher_nft.json';
import { PublicKey, Keypair } from '@solana/web3.js';
export type VoucherNftType = VoucherNft;
export { VoucherNftIDL };
export declare enum NetworkType {
    MainNet = 0,
    TestNet = 1,
    LocalNet = 2
}
export declare const configurations: Map<NetworkType, Configuration>;
export type Configuration = {
    url: string;
    programId: string;
    keypairPath: string;
};
export type ConfigData = {
    admin: anchor.web3.PublicKey;
};
export type AddVaultInstructionParams = {
    config: PublicKey;
    vault: PublicKey;
    admin: PublicKey;
    operator: PublicKey;
    seed: string;
};
export type MetadataParams = {
    name: string;
    symbol: string;
    uri: string;
};
export type MintVoucherInstructionParams = {
    config: PublicKey;
    vault: PublicKey;
    operator: PublicKey;
    authority: PublicKey;
    vaultTokenAccount: PublicKey;
    mint: Keypair;
    metadataAccount: PublicKey;
    masterEdition: PublicKey;
    tokenMetadataProgram: PublicKey;
    collection: PublicKey;
    collectionMetadata: PublicKey;
    collectionMasterEdition: PublicKey;
    params: MetadataParams;
};
export type RepayDebtVoucherInformationParams = {
    discountPercentage: number;
    maximumAmount: number;
    startTime: BN;
    endTime: BN;
    eligibleTokens: PublicKey[];
};
export type AddVoucherRepayDebtInstructionParams = {
    vault: PublicKey;
    operator: PublicKey;
    authority: PublicKey;
    mint: Keypair;
    metadataAccount: PublicKey;
    masterEdition: PublicKey;
    repayDebtVoucher: PublicKey;
    tokenMetadataProgram: PublicKey;
    params: RepayDebtVoucherInformationParams;
};
export type SendVoucherToUserInstructionParams = {
    vault: PublicKey;
    operator: PublicKey;
    user: PublicKey;
    mint: PublicKey;
    masterEdition: PublicKey;
    vaultTokenAccount: PublicKey;
    userTokenAccount: PublicKey;
};
