"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configurations = exports.NetworkType = exports.VoucherNftIDL = void 0;
const voucher_nft_json_1 = __importDefault(require("./artifacts/voucher_nft.json"));
exports.VoucherNftIDL = voucher_nft_json_1.default;
var NetworkType;
(function (NetworkType) {
    NetworkType[NetworkType["MainNet"] = 0] = "MainNet";
    NetworkType[NetworkType["TestNet"] = 1] = "TestNet";
    NetworkType[NetworkType["LocalNet"] = 2] = "LocalNet";
})(NetworkType || (exports.NetworkType = NetworkType = {}));
exports.configurations = new Map([
    [
        NetworkType.MainNet,
        {
            url: 'https://api-mainnet-beta.renec.foundation:8899/',
            programId: 'L1i4k6T2sSCQcKpzzhvkbtU3srt7ipjSKxh7kyjyh9r',
            keypairPath: '~/.config/renec/id.json',
        },
    ],
    [
        NetworkType.TestNet,
        {
            url: 'https://api-testnet.renec.foundation:8899/',
            programId: 'L1i4k6T2sSCQcKpzzhvkbtU3srt7ipjSKxh7kyjyh9r',
            keypairPath: '~/.config/renec/id.json',
        },
    ],
    [
        NetworkType.LocalNet,
        {
            url: 'http://127.0.0.1:8899',
            programId: 'L1i4k6T2sSCQcKpzzhvkbtU3srt7ipjSKxh7kyjyh9r',
            keypairPath: '~/.config/renec/id.json',
        },
    ],
]);
