"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKeypairFromFile = void 0;
exports.airdrop = airdrop;
exports.delay = delay;
exports.getCurrentBlockTime = getCurrentBlockTime;
exports.convertStringToNetworkType = convertStringToNetworkType;
const types_1 = require("./types.js");
var helpers_1 = require("@solana-developers/helpers");
Object.defineProperty(exports, "getKeypairFromFile", { enumerable: true, get: function () { return helpers_1.getKeypairFromFile; } });
async function airdrop(connection, address, amount) {
    await connection.requestAirdrop(address, amount * 10 ** 9);
    await delay(3000);
}
async function delay(ms) {
    return new Promise((resolve) => setTimeout(resolve, ms));
}
async function getCurrentBlockTime(connection) {
    return (await connection.getBlockTime(await connection.getSlot('confirmed'))) || 0;
}
function convertStringToNetworkType(network) {
    switch (network.toLowerCase()) {
        case 'mainnet':
            return types_1.NetworkType.MainNet;
        case 'testnet':
            return types_1.NetworkType.TestNet;
        case 'localnet':
            return types_1.NetworkType.LocalNet;
        default:
            throw new Error('Invalid network type');
    }
}
